%global lbuildir %{_builddir}/%{name}-%{version}/%{name}-%{version}.linux-amd64

%global debug_package %{nil}

Name:           blackbox_exporter
Version:        0.12.0
Release:        1%{?dist}
Summary:        Blackbox prober exporter.

License:        ASL 1.0
URL:            https://prometheus.io/

Source0:        https://github.com/prometheus/%{name}/releases/download/v%{version}/%{name}-%{version}.linux-amd64.tar.gz
Source2:        %{name}.service

%{?systemd_requires}
BuildRequires: systemd

%description
Prometheus blackbox exporter allows blackbox probing of 
endpoints over HTTP, HTTPS, DNS, TCP and ICMP.

%prep
%setup -c -q

%build

%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
  useradd -r -g %{name} -d /var/lib/%{name} -s /sbin/nologin \
  -c "Prometheus Node Exporter" %{name}
exit 0

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}/%{_sbindir}
%{__install} -p %{lbuildir}/%{name} %{buildroot}/%{_sbindir}/

%{__install} -p -D %{SOURCE2} %{buildroot}/%{_unitdir}/%{name}.service

%{__mkdir_p} %{buildroot}/%{_usr}/share/%{name}
%{__install} -p -D %{lbuildir}/{LICENSE,NOTICE} %{buildroot}/%{_usr}/share/%{name}

%{__mkdir_p} %{buildroot}/%{_sysconfdir}/sysconfig
%{__cat} <<EOF > %{buildroot}/%{_sysconfdir}/sysconfig/%{name}
OPTIONS="--config.file=%{_sysconfdir}/%{name}/blackbox.yml"
EOF

%{__install} -p -D %{lbuildir}/blackbox.yml %{buildroot}/%{_sysconfdir}/%{name}/blackbox.yml

%files
%defattr(644,%{name},%{name},755)

%attr(755,-,-) /usr/sbin/%{name}

%{_usr}/share/%{name}/NOTICE

%config %{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%license %{_usr}/share/%{name}/LICENSE
%config(noreplace) %{_sysconfdir}/%{name}/blackbox.yml

%changelog
* Wed Oct 17 2018 Disk Stats <diskstats@gmail.com> - 0.12.0-1
- rebuilt


